# Class AccessibilityAction

java.lang.Object
com.codename1.ui.accessibility.AccessibilityAction

public final class AccessibilityAction extends Object
An action that assistive technology can invoke on a semantic node.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `AccessibilityAction.Handler`
  Handles an accessibility action on the Codename One EDT.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTIVATE`
  `static final String`
  `COLLAPSE`
  `static final String`
  `COPY`
  `static final String`
  `CUT`
  `static final String`
  `DECREMENT`
  `static final String`
  `DISMISS`
  `static final String`
  `EXPAND`
  `static final String`
  `FOCUS`
  `static final String`
  `INCREMENT`
  `static final String`
  `LONG_PRESS`
  `static final String`
  `MOVE_CURSOR_BACKWARD_BY_CHARACTER`
  `static final String`
  `MOVE_CURSOR_BACKWARD_BY_WORD`
  `static final String`
  `MOVE_CURSOR_FORWARD_BY_CHARACTER`
  `static final String`
  `MOVE_CURSOR_FORWARD_BY_WORD`
  `static final String`
  `PASTE`
  `static final String`
  `SCROLL_BACKWARD`
  `static final String`
  `SCROLL_FORWARD`
  `static final String`
  `SET_SELECTION`
  `static final String`
  `SET_TEXT`
  `static final String`
  `SET_VALUE`
  `static final String`
  `SHOW_ON_SCREEN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessibilityAction(String id, String label, AccessibilityAction.Handler handler)`
  `AccessibilityAction(String id, String label, AccessibilityAction.Handler handler, boolean enabled)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  `String`
  `getLabel()`
  `boolean`
  `isEnabled()`
  `boolean`
  `perform(Component component, Object argument)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ACTIVATE

    public static final String ACTIVATE
    See Also:
      - Constant Field Values

  - ### LONG_PRESS

    public static final String LONG_PRESS
    See Also:
      - Constant Field Values

  - ### INCREMENT

    public static final String INCREMENT
    See Also:
      - Constant Field Values

  - ### DECREMENT

    public static final String DECREMENT
    See Also:
      - Constant Field Values

  - ### SET_VALUE

    public static final String SET_VALUE
    See Also:
      - Constant Field Values

  - ### SET_TEXT

    public static final String SET_TEXT
    See Also:
      - Constant Field Values

  - ### FOCUS

    public static final String FOCUS
    See Also:
      - Constant Field Values

  - ### DISMISS

    public static final String DISMISS
    See Also:
      - Constant Field Values

  - ### EXPAND

    public static final String EXPAND
    See Also:
      - Constant Field Values

  - ### COLLAPSE

    public static final String COLLAPSE
    See Also:
      - Constant Field Values

  - ### SCROLL_FORWARD

    public static final String SCROLL_FORWARD
    See Also:
      - Constant Field Values

  - ### SCROLL_BACKWARD

    public static final String SCROLL_BACKWARD
    See Also:
      - Constant Field Values

  - ### COPY

    public static final String COPY
    See Also:
      - Constant Field Values

  - ### CUT

    public static final String CUT
    See Also:
      - Constant Field Values

  - ### PASTE

    public static final String PASTE
    See Also:
      - Constant Field Values

  - ### SHOW_ON_SCREEN

    public static final String SHOW_ON_SCREEN
    See Also:
      - Constant Field Values

  - ### SET_SELECTION

    public static final String SET_SELECTION
    See Also:
      - Constant Field Values

  - ### MOVE_CURSOR_FORWARD_BY_CHARACTER

    public static final String MOVE_CURSOR_FORWARD_BY_CHARACTER
    See Also:
      - Constant Field Values

  - ### MOVE_CURSOR_BACKWARD_BY_CHARACTER

    public static final String MOVE_CURSOR_BACKWARD_BY_CHARACTER
    See Also:
      - Constant Field Values

  - ### MOVE_CURSOR_FORWARD_BY_WORD

    public static final String MOVE_CURSOR_FORWARD_BY_WORD
    See Also:
      - Constant Field Values

  - ### MOVE_CURSOR_BACKWARD_BY_WORD

    public static final String MOVE_CURSOR_BACKWARD_BY_WORD
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AccessibilityAction

    public AccessibilityAction(String id, String label, AccessibilityAction.Handler handler)

  - ### AccessibilityAction

    public AccessibilityAction(String id, String label, AccessibilityAction.Handler handler, boolean enabled)

- ## Method Details

  - ### getId

    public String getId()

  - ### getLabel

    public String getLabel()

  - ### isEnabled

    public boolean isEnabled()

  - ### perform

    public boolean perform(Component component, Object argument)